Subject: Re: linux-next: cpufreq tree build failure

From: Dave Jones <[email-masked]>
Date: Thu, 5 Feb 2009 12:45:36 -0500

On Thu, Feb 05, 2009 at 10:47:56AM +0100, Thomas Renninger wrote:
 > On Thursday 05 February 2009 08:54:20 Stephen Rothwell wrote:
 > > Hi Dave,
 > > 
 > > Today's linux-next build (powerpc allyesconfig) failed like this:
 > > 
 > > drivers/cpufreq/cpufreq_conservative.o: In function `minimum_sampling_rate':
 > > (.opd+0x30): multiple definition of `minimum_sampling_rate'
 > > drivers/cpufreq/cpufreq_ondemand.o:(.opd+0x18): first defined here
 > > drivers/cpufreq/cpufreq_conservative.o: In function `minimum_sampling_rate':
 > > drivers/cpufreq/cpufreq_conservative.c:64: multiple definition of 
 > `.minimum_sampling_rate'
 > > drivers/cpufreq/cpufreq_ondemand.o:drivers/cpufreq/cpufreq_ondemand.c:62: 
 > first defined here
 > > 
 > > Caused by commit f935195b8a341d7ffdf600dd98a657f2f09b7908 ("[CPUFREQ]
 > > ondemand/conservative: sanitize sampling_rate restrictions").
 > > 
 > > I have reverted that commit for today.
 > 
 > Dave, I have found another minor issue and will send you three patches.
 > Two cleanups and the third fixing this one as on top patch.
 > 
 > Decide yourself what way is best to add things (revert and re-add or
 > just add the three I post).
 > The problem of the on top approach could be that if this is merged
 > to linux next you could have a non-building condition if you compile in

I added the 'static's directly to the patches, and regenerated the tree
on kernel.org
For other stuff, unless it's a build-fix, send an incremental diff ?

	Dave

-- 
http://www.codemonkey.org.uk